%global pypi_name filetype

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 1
Summary:        Infer file type and MIME type of any file/buffer
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/filetype
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Small and dependency free Python package to infer file type and MIME type
checking the magic numbers signature of a file or buffer.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Buildrequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Small and dependency free Python package to infer file type and MIME type
checking the magic numbers signature of a file or buffer.

%prep
%autosetup -n %{pypi_name}-%{version}
sed -i -e '/^#!\//, 1d' examples/*.py
rm -rf examples/__init__.py

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/examples

%check
%pytest -v tests --ignore tests/test_benchmark.py \
    -k "not test_guess_memoryview and not test_guess_extension_memoryview \
    and not test_guess_mime_memoryview and not test_guess_zstd" 

%files -n python3-%{pypi_name}
%doc LICENSE
%doc README.rst History.md examples
%{_bindir}/filetype
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Sep 18 2022 neoclust <neoclust> 1.1.0-1.mga9
+ Revision: 1889838
- New version 1.1.0

* Sun May 22 2022 guillomovitch <guillomovitch> 1.0.13-1.mga9
+ Revision: 1859785
- new version 1.0.13

* Sat Mar 26 2022 umeabot <umeabot> 1.0.10-2.mga9
+ Revision: 1828632
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.10-1.mga9
+ Revision: 1784923
- version 1.0.10
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.7-2.mga9
+ Revision: 1732709
- Rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 1.0.7-1.mga8
+ Revision: 1644614
- imported package python-filetype

